#
# spec file for package ghc-hpp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hpp
Name:           ghc-%{pkg_name}
Version:        0.4.0
Release:        lp150.1.19
Summary:        A Haskell pre-processor
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-trie-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
hpp is a Haskell pre-processor that is also a C90-compatible pre-processor
(with the addition of a --cpp flag). It is packaged as both a library and an
executable.

To use as a Haskell preprocessor for resolving #ifdef conditionals and macro
#expansion, an invocation might look like:

    hpp -DDEBUG Foo.hs

To use as a C preprocessor, an invocation might look like,

    hpp -DDEBUG --cpp foo.c

To have GHC use hpp as the C pre-processor, add this line to the top of a
Haskell source file that makes use of the CPP LANGUAGE pragma,

    {-# OPTIONS_GHC -cpp -pgmPhpp #-}

Or add this line to your .cabal file:

    ghc-options: -pgmPhpp

Note that you will need to ensure that the hpp executable is available in your
build environment (e.g. you can add hpp as a build-depends in your .cabal
file).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.4.0 with cabal2obs.
